# platformio settings

Manage PlatformIO settings

Contents

- platformio settings

  - platformio settings get

    - Usage

    - Description

    - Settings

      - `auto_update_libraries`

      - `auto_update_platforms`

      - `check_libraries_interval`

      - `check_platformio_interval`

      - `check_platforms_interval`

      - `enable_cache`

      - `strict_ssl`

      - `enable_telemetry`

      - `force_verbose`

      - `projects_dir`

    - Examples

  - platformio settings set

    - Usage

    - Description

    - Examples

  - platformio settings reset

    - Usage

    - Description

    - Examples

## platformio settings get

### Usage

    platformio settings get [NAME]
    pio settings get [NAME]

### Description

Note

- The `Yes` value is equal to: `True`, `Y`, `1` and is not case sensitive.

- You can override these settings using Environment variables.

Get/List existing settings

### Settings

#### `auto_update_libraries`

Default

  No

Values

  Yes/No

Automatically update libraries.

#### `auto_update_platforms`

Default

  No

Values

  Yes/No

Automatically update platforms.

#### `check_libraries_interval`

Default

  7

Values

  Days (Number)

Check for the library updates interval.

#### `check_platformio_interval`

Default

  3

Values

  Days (Number)

Check for the new PlatformIO interval.

#### `check_platforms_interval`

Default

  7

Values

  Days (Number)

Check for the platform updates interval.

#### `enable_cache`

Default

  Yes

Values

  Yes/No

Enable caching for API requests and Library Manager

#### `strict_ssl`

Default

  No

Values

  Yes/No

Strict SSL for PlatformIO Services

#### `enable_telemetry`

Default

  Yes

Values

  Yes/No

Share minimal diagnostics and usage information to help us make PlatformIO better.

The source code of telemetry service is open source. You can make sure that we DO NOT SHARE PRIVATE information or source code of your project. All information shares ANONYMOUSLY.

Which data do we collect and why?

- A version of Python Interpreter. PlatformIO Core (CLI) is written in Python language, including development Development Platforms. We need to know which Python version produces such type of exceptions (see below), which is more popular, which version we should drop and focus on a new one

- PlatformIO Core (CLI) errors/exceptions. We report automatically fatal exceptions raised by PlatformIO Core source code but NOT by your project

- The name of the used platform, board, framework. We collect this type of information to have a clear picture which software products are the most widely used by our Community and for the which we should provide frequent updates and add new features ( for example, “atmelavr”, “arduino”, “uno”, etc.)

- The name of CLI command. It helps us to improve our CLI. For example, “run”, “lib list”)

- The name of Cloud & Desktop IDE. This is very important information for us. We create native extensions based on the popularity of IDEs (for example, VSCode, CLion)

Thanks a lot that you keep this setting enabled!

#### `force_verbose`

Default

  No

Values

  Yes/No

Force verbose output when processing environments. This setting overrides

- `platformio run --verbose`

- `platformio ci --verbose`

- `platformio test --verbose`

#### `projects_dir`

Default

  ~/Documents/PlatformIO/Projects

Values

  Path to folder

Default location for PlatformIO projects (PIO Home)

### Examples

1. List all settings and theirs current values

    > platformio settings get

    Name                            Value [Default]   Description
    ------------------------------------------------------------------------------------------
    auto_update_libraries           No                Automatically update libraries (Yes/No)
    auto_update_platforms           No                Automatically update platforms (Yes/No)
    check_libraries_interval        7                 Check for the library updates interval (days)
    check_platformio_interval       3                 Check for the new PlatformIO interval (days)
    check_platforms_interval        7                 Check for the platform updates interval (days)
    enable_cache                    Yes               Enable caching for API requests and Library Manager
    strict_ssl                      No                Strict SSL for PlatformIO Services
    enable_telemetry                Yes               Telemetry service?#enable-telemetry> (Yes/No)
    force_verbose                   No                Force verbose output when processing environments
    projects_dir                    ~/Documents/PlatformIO/Projects Default location for PlatformIO projects (PIO Home)

2. Show specified setting

    $ platformio settings get auto_update_platforms
    Name                            Value [Default]   Description
    ------------------------------------------------------------------------------------------
    auto_update_platforms           Yes               Automatically update platforms (Yes/No)

## platformio settings set

### Usage

    platformio settings set NAME VALUE

### Description

Set new value for the setting

### Examples

Change to check for the new PlatformIO each day

    $ platformio settings set check_platformio_interval 1
    The new value for the setting has been set!
    Name                            Value [Default]   Description
    ------------------------------------------------------------------------------------------
    check_platformio_interval       1 [3]             Check for the new PlatformIO interval (days)

## platformio settings reset

### Usage

    platformio settings reset

### Description

Reset settings to default

### Examples

    $ platformio settings reset
    The settings have been reset!

    Name                            Value [Default]   Description
    ------------------------------------------------------------------------------------------
    auto_update_libraries           No                Automatically update libraries (Yes/No)
    auto_update_platforms           No                Automatically update platforms (Yes/No)
    check_libraries_interval        7                 Check for the library updates interval (days)
    check_platformio_interval       3                 Check for the new PlatformIO interval (days)
    check_platforms_interval        7                 Check for the platform updates interval (days)
    enable_cache                    Yes               Enable caching for API requests and Library Manager
    strict_ssl                      No                Enable SSL for PlatformIO Services
    enable_telemetry                Yes               Telemetry service?#enable-telemetry> (Yes/No)
    force_verbose                   No                Force verbose output when processing environments
    projects_dir                    ~/Documents/PlatformIO/Projects Default location for PlatformIO projects (PIO Home)